SystemOrganization addCategory: #'ISobot-Core'!
SystemOrganization addCategory: #'ISobot-Etoys'!

Morph subclass: #ISobotBodyPartMorph
	instanceVariableNames: 'isobotMorph isMouseOver'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

!ISobotBodyPartMorph class methodsFor: 'instance creation' stamp: 'Richo 2/25/2009 15:52'!
on: aMorph 
	^ (self basicNew setIsobotMorph: aMorph)  initialize! !

!ISobotBodyPartMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 14:29'!
borderColor
	^ isobotMorph borderColor! !

!ISobotBodyPartMorph methodsFor: 'initialize-release' stamp: 'Richo 2/25/2009 15:48'!
delete
isobotMorph delete.
super delete! !

!ISobotBodyPartMorph methodsFor: 'drawing' stamp: 'Richo 2/26/2009 13:23'!
drawOn: aCanvas 
| form |
form := self form.
	aCanvas translucentImage: form at: self bounds center - form center! !

!ISobotBodyPartMorph methodsFor: 'viewer category filter' stamp: 'Richo 12/23/2009 17:03'!
filterViewerCategoryDictionary: dict
| validCategories |
super filterViewerCategoryDictionary: dict.
validCategories := self validCategories.
dict keys do: [:each|
	(validCategories includes: each)
		ifFalse: [
			dict removeKey: each
			].
	]! !

!ISobotBodyPartMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 13:46'!
form
	^ isMouseOver
		ifTrue: [self class form shapeBorder: self borderColor width: 2]
		ifFalse: [self class form]! !

!ISobotBodyPartMorph methodsFor: 'event handling' stamp: 'Richo 2/25/2009 15:57'!
handlesMouseOver: evt
^true! !

!ISobotBodyPartMorph methodsFor: 'initialize-release' stamp: 'Richo 3/3/2009 14:56'!
initialize
	super initialize.
	isMouseOver := false.
	self extent: self class form extent + 4.
	self positionMyself! !

!ISobotBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 2/26/2009 15:24'!
isMouseOver
^isMouseOver! !

!ISobotBodyPartMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:42'!
mouseEnter: evt 
isobotMorph hasBorder: false.
	isMouseOver := true.
	self changed.
	self comeToFront! !

!ISobotBodyPartMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:46'!
mouseLeave: evt 
isobotMorph hasBorder: true.
	isMouseOver := false.
	self changed! !

!ISobotBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 2/26/2009 14:25'!
newPlayerInstance
^ISobotPlayer newUserInstance! !

!ISobotBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:59'!
position: aPoint
self positionMyself ! !

!ISobotBodyPartMorph methodsFor: 'initialize-release' stamp: 'Richo 3/3/2009 14:56'!
positionMyself
	super position: isobotMorph center + self relativeCenter - (self extent // 2)! !

!ISobotBodyPartMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:57'!
relativeCenter
self subclassResponsibility! !

!ISobotBodyPartMorph methodsFor: 'private' stamp: 'Richo 2/25/2009 15:48'!
setIsobotMorph: aMorph
isobotMorph := aMorph! !

!ISobotBodyPartMorph methodsFor: 'viewer category filter' stamp: 'Richo 12/23/2009 17:03'!
validCategories
^self class allAdditionsToViewerCategories keys! !

ISobotBodyPartMorph subclass: #ISobotHeadMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotHeadMorph class
	instanceVariableNames: 'form'!

ISobotHeadMorph class
	instanceVariableNames: 'form'!

!ISobotHeadMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 14:23'!
additionsToViewerCategoryHead
 ^#(#'i-sobot - head'
((command turnHeadLeft '')(command turnHeadRight '')))! !

!ISobotHeadMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 4/6/2011 10:46'!
defaultNameStemForInstances
	^ 'I-Sobot''s head' translatedNoop! !

!ISobotHeadMorph class methodsFor: 'form' stamp: 'Richo 2/25/2009 15:13'!
form
^form ifNil: [self initializeForm]! !

!ISobotHeadMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:04'!
initializeForm
^form :=   PEUtilities formFromEncodedPNG:  'iVBORw0KGgoAAAANSUhEUgAAADIAAAAjCAYAAADWtVmPAAAABHNCSVQFBQUBSsjp7wAAAuBJ
REFUeF7lWC2XqzAUrIxEIisrK5FI5MrKlStXIp98sj8HufL9pLo8JmHgcgkhpdD94px7+AhN
M3fmThIOv//4mYexQ3zxgRpj7PF4DAbay7K0VVVF3zMm+zygWZbZ8/lscY4B4XXsPYLEOSV5
+vfoezUTyDQyiY6QcWaegXv5pxikbuc1QSMxMRnyvyQI/AbPln47q3lkgZ3KAa4JOai5miqK
wrcXuT3c6iGaizXVKRWMmcgDGcYPY9pPDTKr5UbJoN0Nsh00Iq8rW9QXFwRGMJ7dCAsahLzf
ghGtffTva8Y/P9SFGzBA1LfG/mmDZzxDG8cSZEXqUktBFuojQfeL1hBk1IKpOwA6HFttO94P
Fj8zrxkZXGYLaXmGIZ85oAQimZBnx1gbs+6nGdEupKUVcq+l+9DgZbubZ5YY6YCwv2QgIclN
dV/3QZeLuZa+HvXVFfpr83fCyKV9Jgt+sUZokSEgMtNZ9tJ2dBsB4T19X9eA/h/d7uTS2S3c
qu4AOOfq6gN9ewtOmIRC1zJ78HsM+niu7du1sdd/N3v9wD2eNw7kvYwgw26Z02bcDbqTWX8N
cIUv9DzP04BITYeAGFO5zEsQDLIzVyMh6YbaWQ8IgCPL0aVKKFN0rRAQDrYHIc7l6xTIHCPa
7rW8Q/NQdFGSKi1qul1MeCCCiV5ep6YHslQjGoh8v58k79kijCg9mMUa8e/5GpEg3q9Nco3Q
UOYYSWJgCchSjXjfr3qXKi9kohm51lyNsJ3zFOcRynn1Jk0DkTN7bB7xhSfnkZcJiNDqV2Z8
MJBNdpmmX8DJQpMyWzujayDsUwLaCMQABv4sJSDXRlvtR7QrelY33++PmRm7xuMh+/V7+N0+
WpiRpPaMsb3uCOTRZXvK/uQpQL49I9zcP7r/WLrfGciwf99TVoNTPeXr5NhxtqiJT/q8auy+
8SQAek+9ZY3c+cVwPRAuU7Aj27o+5JLnG3zB//3HquM/GR6zNSsijpkAAAAASUVORK5CYII='! !

!ISobotHeadMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:58'!
relativeCenter
^7@-96! !

!ISobotHeadMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
turnHeadLeft
isobotMorph turnHeadLeft! !

!ISobotHeadMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
turnHeadRight
isobotMorph turnHeadRight! !

ISobotBodyPartMorph subclass: #ISobotLeftArmMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotLeftArmMorph class
	instanceVariableNames: 'form'!

ISobotLeftArmMorph class
	instanceVariableNames: 'form'!

!ISobotLeftArmMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 15:56'!
additionsToViewerCategoryPunch
^ #(#'i-sobot - punch' #(#(#command #leftOneTwoPunch '') #(#command #comboPunch '') #(#command #slapping '') #(#command #leftBackhand '')  #(#command #leftPunch '')  #(#command #doubleChop '') #(#command #leftChop '')  #(#command #leftSideChop '') #(#command #upperChop '') #(#command #doubleBackhand '')))! !

!ISobotLeftArmMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 4/6/2011 10:46'!
defaultNameStemForInstances
	^ 'I-Sobot''s left arm' translatedNoop! !

!ISobotLeftArmMorph class methodsFor: 'form' stamp: 'Richo 2/25/2009 15:24'!
form
^form ifNil: [self initializeForm]! !

!ISobotLeftArmMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:04'!
initializeForm
^form := PEUtilities formFromEncodedPNG:  'iVBORw0KGgoAAAANSUhEUgAAACIAAACRCAYAAACmGWoZAAAABHNCSVQFBQUBSsjp7wAABf1J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'! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
comboPunch
isobotMorph comboPunch! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
doubleBackhand
isobotMorph doubleBackhand! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
doubleChop
isobotMorph doubleChop! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftBackhand
isobotMorph leftBackhand! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftChop
isobotMorph leftChop! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftOneTwoPunch
isobotMorph leftOneTwoPunch! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftPunch
isobotMorph leftPunch! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
leftSideChop
isobotMorph leftSideChop! !

!ISobotLeftArmMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:58'!
relativeCenter
	^ 57@-15! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
slapping
isobotMorph slapping! !

!ISobotLeftArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
upperChop
isobotMorph upperChop! !

ISobotBodyPartMorph subclass: #ISobotLegsMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotLegsMorph class
	instanceVariableNames: 'form'!

ISobotLegsMorph class
	instanceVariableNames: 'form'!

!ISobotLegsMorph class methodsFor: 'viewer categories' stamp: 'Richo 3/17/2009 16:10'!
additionsToViewerCategoryKick
^#(#'i-sobot - kick'
((command leftSideKick '')(command rightForwardKick '')(command rightHighKick '')(command leftBackKick '')(command leftRightForwardKick '')(command leftHighKick '')(command leftRightRoundhouseKick '')(command splitsNumberOne '')(command comboKick '')(command rightSideKick '')(command leftRoundhouseKick '')(command rightRoundhouseKick '')(command leftForwardKick '')(command rightBackKick '')))
! !

!ISobotLegsMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 14:48'!
additionsToViewerCategoryLean
^  #(#'i-sobot - lean' #(##(#command #leanBackward '') #(#command #leanForward '') ))! !

!ISobotLegsMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 14:42'!
additionsToViewerCategoryWalk
^#(#'i-sobot - walk' #(#(#command #rotateForwardCounterClockwise '') #(#command #walkForwardCurveRight '') #(#command #walkBackwardCurveRight '')  #(#command #rotateForwardClockwise '') #(#command #walkForwardCurveLeft '') #(#command #sidestepLeft '') #(#command #sidestepRight '')  #(#command #rotateBackwardCounterClockwise '') #(#command #walkForward '')  #(#command #walkBackward '') #(#command #walkBackwardCurveLeft '') #(#command #rotateBackwardClockwise '')))! !

!ISobotLegsMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 4/6/2011 10:46'!
defaultNameStemForInstances
	^ 'I-Sobot''s legs' translatedNoop! !

!ISobotLegsMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:12'!
form
	^ form
		ifNil: [self initializeForm]! !

!ISobotLegsMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:12'!
initializeForm
	^ form := PEUtilities formFromEncodedPNG: 'iVBORw0KGgoAAAANSUhEUgAAAIIAAAB6CAYAAABzwouJAAAABHNCSVQFBQUBSsjp7wAADE1J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'! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
comboKick
isobotMorph comboKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leanBackward
isobotMorph leanBackward! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leanForward
isobotMorph leanForward! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftBackKick
isobotMorph leftBackKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftForwardKick
isobotMorph leftForwardKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftHighKick
isobotMorph leftHighKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftRightForwardKick
isobotMorph leftRightForwardKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftRightRoundhouseKick
isobotMorph leftRightRoundhouseKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftRoundhouseKick
isobotMorph leftRoundhouseKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
leftSideKick
isobotMorph leftSideKick! !

!ISobotLegsMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:58'!
relativeCenter
	^ 1@52! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightBackKick
isobotMorph rightBackKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightForwardKick
isobotMorph rightForwardKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightHighKick
isobotMorph rightHighKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightRoundhouseKick
isobotMorph rightRoundhouseKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rightSideKick
isobotMorph rightSideKick! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rotateBackwardClockwise
isobotMorph rotateBackwardClockwise! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rotateBackwardCounterClockwise
isobotMorph rotateBackwardCounterClockwise! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rotateForwardClockwise
isobotMorph rotateForwardClockwise! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
rotateForwardCounterClockwise
isobotMorph rotateForwardCounterClockwise! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
sidestepLeft
isobotMorph sidestepLeft! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
sidestepRight
isobotMorph sidestepRight! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
splitsNumberOne
isobotMorph splitsNumberOne! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkBackward
isobotMorph walkBackward! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkBackwardCurveLeft
isobotMorph walkBackwardCurveLeft! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkBackwardCurveRight
isobotMorph walkBackwardCurveRight! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkForward
isobotMorph walkForward! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkForwardCurveLeft
isobotMorph walkForwardCurveLeft! !

!ISobotLegsMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:27'!
walkForwardCurveRight
isobotMorph walkForwardCurveRight! !

ISobotBodyPartMorph subclass: #ISobotRightArmMorph
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotRightArmMorph class
	instanceVariableNames: 'form'!

ISobotRightArmMorph class
	instanceVariableNames: 'form'!

!ISobotRightArmMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 15:57'!
additionsToViewerCategoryPunch
	^ #(#'i-sobot - punch' #(#(#command #rightOneTwoPunch '') #(#command #comboPunch '') #(#command #slapping '') #(#command #rightBackhand '') #(#command #rightPunch '') #(#command #doubleChop '') #(#command #rightChop '') #(#command #rightSideChop '') #(#command #upperChop '') #(#command #doubleBackhand '')) )! !

!ISobotRightArmMorph class methodsFor: 'as yet unclassified' stamp: 'Richo 4/6/2011 10:46'!
defaultNameStemForInstances
	^ 'I-Sobot''s right arm' translatedNoop! !

!ISobotRightArmMorph class methodsFor: 'form' stamp: 'Richo 2/25/2009 15:25'!
form
^form ifNil: [self initializeForm]! !

!ISobotRightArmMorph class methodsFor: 'form' stamp: 'Richo 2/25/2009 16:58'!
initializeForm
	^ form := ISobotLeftArmMorph form flipBy: #horizontal centerAt: 0 @ 0! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
comboPunch
isobotMorph comboPunch! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
doubleBackhand
isobotMorph doubleBackhand! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
doubleChop
isobotMorph doubleChop! !

!ISobotRightArmMorph methodsFor: 'accessing' stamp: 'Richo 3/3/2009 14:58'!
relativeCenter
	^ -56@-15! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightBackhand
isobotMorph rightBackhand! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightChop
isobotMorph rightChop! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightOneTwoPunch
isobotMorph rightOneTwoPunch! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightPunch
isobotMorph rightPunch! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
rightSideChop
isobotMorph rightSideChop! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
slapping
isobotMorph slapping! !

!ISobotRightArmMorph methodsFor: 'as yet unclassified' stamp: 'Richo 2/27/2009 14:26'!
upperChop
isobotMorph upperChop! !

Morph subclass: #ISobotMorph
	instanceVariableNames: 'isobot hasBorder portName'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

ISobotMorph class
	instanceVariableNames: 'form lastPortName'!

ISobotMorph class
	instanceVariableNames: 'form lastPortName'!

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 4/6/2011 15:48'!
additionsToViewerCategoryConnection
 ^#(#'i-sobot - connection'
((command connect '' )
(command disconnect '' )
(slot portName '' ISobotPort readWrite Player getPortName Player setPortName:)
(slot channel '' ISobotChannel readWrite Player getChannel Player setChannel:)
(slot isConnected '' Boolean readOnly Player getIsConnected Player unused)
))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:32'!
additionsToViewerCategoryEmotion
^#(#'i-sobot - emotion'
((command party '')(command excitedTwo '')(command begOne '')(command begTwo '')(command painOne '')(command excitedOne '')(command regretTwo '')(command excitedFour '')(command regretThree '')(command regretOne '')(command hilarious '')(command painTwo '')(command merry '')(command worry '')(command excitedThree '')(command amazed '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:32'!
additionsToViewerCategoryGuard
^#
(#'i-sobot - guard'
((command upSweepBlock '')(command comboGuard '')(command twoHandGuardOne '')(command splitsTwo '')(command dodgeLeft '')(command duck '')(command dodgeRight '')(command leftGuard '')(command twoHandGuardTwo '')(command rightGuard '')(command swayBack '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:33'!
additionsToViewerCategoryKick
^#(#'i-sobot - kick'
((command leftSideKick '')(command rightForwardKick '')(command rightHighKick '')(command leftBackKick '')(command leftRightForwardKick '')(command leftHighKick '')(command leftRightRoundhouseKick '')(command splitsNumberOne '')(command comboKick '')(command rightSideKick '')(command leftRoundhouseKick '')(command rightRoundhouseKick '')(command leftForwardKick '')(command rightBackKick '')))
! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:36'!
additionsToViewerCategoryMisc
^#(#'i-sobot - misc'
((command stop '')(command soundsOff '')(command soundsOn '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:31'!
additionsToViewerCategoryMistery
^#(#'i-sobot - mistery'
((command mysteryThree '')(command mysteryOne '')(command mysteryFour '')(command mysteryTwo '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:32'!
additionsToViewerCategoryModes
^#(#'i-sobot - modes'
((command armsMode '')(command specialactionmode '')(command voicecontrolmode '')(command remotecontrolmode '')(command programmode '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:37'!
additionsToViewerCategoryMovement
 ^#(#'i-sobot - movement'
((command rotateForwardCounterClockwise '')(command walkForwardCurveRight '')(command walkBackwardCurveRight '')(command lockArms '')(command turnHeadLeft '')(command leanBackward '')(command rotateForwardClockwise '')(command walkForwardCurveLeft '')(command sidestepLeft '')(command sidestepRight '')(command leanForward '')(command rotateBackwardCounterClockwise '')(command walkForward '')(command turnHeadRight '')(command walkBackward '')(command walkBackwardCurveLeft '')(command rotateBackwardClockwise '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:31'!
additionsToViewerCategoryPhrases
^#(#'i-sobot - phrases'
((command affirm '')(command greetTwo '')(command goodMorning '')(command respect '')(command byeThree '')(command byeTwo '')(command greetFour '')(command greetThree '')(command greetOne '')(command disagree '')(command loveThree '')(command thanksOne '')(command thanksTwo '')(command loveTwo '')(command byeFive '')(command loveOne '')(command byeFour '')(command byeOne '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:33'!
additionsToViewerCategoryProgramming
^#(#'i-sobot - programming'
((command threeSecondPause '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:33'!
additionsToViewerCategoryPunch
^#(#'i-sobot - punch'
((command rightBackhand '')(command leftOneTwoPunch '')(command comboPunch '')(command slapping '')(command rightChop '')(command leftBackhand '')(command rightSideChop '')(command leftPunch '')(command rightPunch '')(command doubleChop '')(command leftChop '')(command rightOneTwoPunch '')(command leftSideChop '')(command upperChop '')(command doubleBackhand '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/17/2010 15:42'!
additionsToViewerCategoryShowcase1
 ^#(#'i-sobot - showcase (1)'
((command mysteryFive '')(command showOffTwo '')(command poseOne '')(command poseTwo '')(command waveTwo '')(command tooSexy '')(command waveOne '')(command tipsy '')(command tickleMeiSOBOT '')(command hideAndSeek '')(command applause '')(command soccerTwo '')(command showOffThree '')(command youLike '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/17/2010 15:42'!
additionsToViewerCategoryShowcase2
 ^#(#'i-sobot - showcase (2)'
((command tiredFeet '')(command mysterySix '')(command comingThrough '')(command soccerOne '')(command showOffOne '')(command countOnMe '')(command articulation '')(command catch '')(command needABreak '')(command poseThree '')(command soccerThree '')(command relax '')(command lift '')(command showOffFour '')(command clink '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:37'!
additionsToViewerCategorySpecial
 ^#(#'i-sobot - special'
((command tropicalDance '')(command airGuitar '')(command banzai '')(command robotGorilla '')(command forwardSomersault '')(command headstandExercises '')(command robotCat '')(command robotDog '')(command martialArts '')(command westernMovieScene '')(command airDrum '')(command robotEagle '')(command giantRobot '')(command exercises '')(command japanCheer '')(command robotRooster '')(command taiChi '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/17/2010 15:49'!
additionsToViewerCategoryStandUp
 ^#(#'i-sobot - stand up'
((command standUpFaceDown '')(command standUpFaceUp '')))! !

!ISobotMorph class methodsFor: 'viewer categories' stamp: 'Richo 2/26/2009 13:30'!
additionsToViewerCategoryUtility
^#(#'i-sobot - utility'
((command zeroPosition '')))! !

!ISobotMorph class methodsFor: 'parts bin' stamp: 'Richo 4/7/2011 17:58'!
descriptionForPartsBin
	"Answer a description for use in parts bins"
	^ self
		partName: 'I-Sobot' translatedNoop
		categories: {'IR Robots' translatedNoop}
		documentation: 'An object that you can use to control an I-Sobot' translatedNoop! !

!ISobotMorph class methodsFor: 'form' stamp: 'Richo 2/26/2009 14:55'!
form
^form ifNil: [self initializeForm]! !

!ISobotMorph class methodsFor: 'initializing' stamp: 'Richo 4/6/2011 15:49'!
initialize
	
	Vocabulary addStandardVocabulary: (SymbolListType new vocabularyName: #ISobotChannel;
			 symbols: #(#A #B ))! !

!ISobotMorph class methodsFor: 'form' stamp: 'Richo 11/17/2009 16:03'!
initializeForm

^form := PEUtilities formFromEncodedPNG:  'iVBORw0KGgoAAAANSUhEUgAAAJMAAADiCAYAAABKm/VxAAAABHNCSVQFBQUBSsjp7wAAH1FJ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'! !

!ISobotMorph class methodsFor: 'accessing' stamp: 'Richo 4/6/2011 16:02'!
lastPortName
^lastPortName ifNil: [lastPortName := #com1]! !

!ISobotMorph class methodsFor: 'accessing' stamp: 'Richo 4/6/2011 16:02'!
lastPortName: aSymbol
lastPortName := aSymbol! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
affirm
isobot affirm! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
airDrum
isobot airDrum! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
airGuitar
isobot airGuitar! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
amazed
isobot amazed! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
applause
isobot applause! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:25'!
armsMode
isobot armsMode! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
articulation
isobot articulation! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
banzai
isobot banzai! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
begOne
isobot begOne! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
begTwo
isobot begTwo! !

!ISobotMorph methodsFor: 'drawing' stamp: 'Richo 2/26/2009 15:41'!
borderColor
	^ self isChannelA
		ifTrue: [Color blue]
		ifFalse: [Color red]! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
byeFive
isobot byeFive! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
byeFour
isobot byeFour! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
byeOne
isobot byeOne! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
byeThree
isobot byeThree! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
byeTwo
isobot byeTwo! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
catch
isobot catch! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 2/26/2009 13:21'!
channel
	self isChannelA
		ifTrue: [^ #A]
		ifFalse: [^ #B]! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 2/25/2009 16:44'!
channel: anObject 
	anObject = #A
		ifTrue: [isobot setChannelA]
		ifFalse: [isobot setChannelB]! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
clink
isobot clink! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
comboGuard
isobot comboGuard! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
comboKick
isobot comboKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
comboPunch
isobot comboPunch! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
comingThrough
isobot comingThrough! !

!ISobotMorph methodsFor: 'commands-connection' stamp: 'Richo 4/6/2011 16:00'!
connect
isobot connectOnPort: portName! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
countOnMe
isobot countOnMe! !

!ISobotMorph methodsFor: 'testing' stamp: 'Richo 12/23/2009 17:18'!
defersHaloToInteriorMorph: aMorph
	"Answer whether  when a halo-click goes down over some subobject within me, I should defer to it rather than seize the halo myself."

	^ aMorph hasOwner: self! !

!ISobotMorph methodsFor: 'initialize-release' stamp: 'Richo 2/25/2009 16:43'!
delete
	self disconnect.
	super delete! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
disagree
isobot disagree! !

!ISobotMorph methodsFor: 'commands-connection' stamp: 'Richo 10/14/2010 17:25'!
disconnect
isobot disconnect! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
dodgeLeft
isobot dodgeLeft! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
dodgeRight
isobot dodgeRight! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
doubleBackhand
isobot doubleBackhand! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
doubleChop
isobot doubleChop! !

!ISobotMorph methodsFor: 'drawing' stamp: 'Richo 2/26/2009 14:56'!
drawOn: aCanvas 
| form |
form := self form.
	aCanvas translucentImage: form at: self bounds center - form center! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
duck
isobot duck! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
excitedFour
isobot excitedFour! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
excitedOne
isobot excitedOne! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
excitedThree
isobot excitedThree! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
excitedTwo
isobot excitedTwo! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
exercises
isobot exercises! !

!ISobotMorph methodsFor: 'viewer category filter' stamp: 'Richo 12/23/2009 17:00'!
filterViewerCategoryDictionary: dict
| validCategories |
super filterViewerCategoryDictionary: dict.
validCategories := self validCategories.
dict keys do: [:each|
	(validCategories includes: each)
		ifFalse: [
			dict removeKey: each
			].
	]! !

!ISobotMorph methodsFor: 'drawing' stamp: 'Richo 2/27/2009 13:46'!
form
	^ hasBorder
		ifTrue: [self class form shapeBorder: self borderColor width: 2]
		ifFalse: [self class form]! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
forwardSomersault
isobot forwardSomersault! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
giantRobot
isobot giantRobot! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
goodMorning
isobot goodMorning! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
greetFour
isobot greetFour! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
greetOne
isobot greetOne! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
greetThree
isobot greetThree! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
greetTwo
isobot greetTwo! !

!ISobotMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:42'!
handlesMouseOver: evt 
	^ true! !

!ISobotMorph methodsFor: 'drawing' stamp: 'Richo 2/26/2009 15:40'!
hasBorder: aBoolean
hasBorder := aBoolean.
self changed.! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
headstandExercises
isobot headstandExercises! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
hideAndSeek
isobot hideAndSeek! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
hilarious
isobot hilarious! !

!ISobotMorph methodsFor: 'initialize-release' stamp: 'Richo 4/6/2011 15:56'!
initialize
	super initialize.
	self color: Color transparent;
		 extent: 143 @ 222.
	self initializeSubmorphs.
	isobot := ISobot new.
	hasBorder := false.
	self initializePortName! !

!ISobotMorph methodsFor: 'initialize-release' stamp: 'Richo 4/6/2011 15:49'!
initializePortName
	| availablePorts list |
	list := PESerialPortList.
	availablePorts := (list availableSerialPorts , list availableUSBPorts) asSet asSortedCollection.
	availablePorts := availablePorts , #(#'other...' ).
	Vocabulary addStandardVocabulary: (SymbolListType new vocabularyName: #ArduinoPort;
			 symbols: availablePorts).
	(availablePorts includes: self class lastPortName)
		ifFalse: [self class lastPortName: availablePorts first].
	portName := self class lastPortName! !

!ISobotMorph methodsFor: 'initialize-release' stamp: 'Richo 3/3/2009 14:56'!
initializeSubmorphs
	self
		addMorph: ((ISobotLeftArmMorph on: self)).
	self
		addMorph: ((ISobotRightArmMorph on: self)).
	self
		addMorph: ((ISobotLegsMorph on: self)).
	self
		addMorph: ((ISobotHeadMorph on: self))! !

!ISobotMorph methodsFor: 'testing' stamp: 'Richo 10/14/2010 17:00'!
isChannelA
^isobot channel = #a! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 2/25/2009 16:44'!
isConnected
	^ isobot isConnected! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
japanCheer
isobot japanCheer! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
leanBackward
isobot leanBackward! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
leanForward
isobot leanForward! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
leftBackKick
isobot leftBackKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
leftBackhand
isobot leftBackhand! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
leftChop
isobot leftChop! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
leftForwardKick
isobot leftForwardKick! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
leftGuard
isobot leftGuard! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
leftHighKick
isobot leftHighKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
leftOneTwoPunch
isobot leftOneTwoPunch! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
leftPunch
isobot leftPunch! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
leftRightForwardKick
isobot leftRightForwardKick! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
leftRightRoundhouseKick
isobot leftRightRoundhouseKick! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
leftRoundhouseKick
isobot leftRoundhouseKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
leftSideChop
isobot leftSideChop! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
leftSideKick
isobot leftSideKick! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
lift
isobot lift! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
lockArms
isobot lockArms! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
loveOne
isobot loveOne! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
loveThree
isobot loveThree! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
loveTwo
isobot loveTwo! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
martialArts
isobot martialArts! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
merry
isobot merry! !

!ISobotMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:43'!
mouseEnter: evt 
self hasBorder: true! !

!ISobotMorph methodsFor: 'event handling' stamp: 'Richo 2/26/2009 15:43'!
mouseLeave: evt 
	self hasBorder: false! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
mysteryFive
isobot mysteryFive! !

!ISobotMorph methodsFor: 'commands-mistery' stamp: 'Richo 10/14/2010 17:25'!
mysteryFour
isobot mysteryFour! !

!ISobotMorph methodsFor: 'commands-mistery' stamp: 'Richo 10/14/2010 17:25'!
mysteryOne
isobot mysteryOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
mysterySix
isobot mysterySix! !

!ISobotMorph methodsFor: 'commands-mistery' stamp: 'Richo 10/14/2010 17:25'!
mysteryThree
isobot mysteryThree! !

!ISobotMorph methodsFor: 'commands-mistery' stamp: 'Richo 10/14/2010 17:25'!
mysteryTwo
isobot mysteryTwo! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
needABreak
isobot needABreak! !

!ISobotMorph methodsFor: 'initialize-release' stamp: 'Richo 2/25/2009 16:43'!
newPlayerInstance
	^ ISobotPlayer newUserInstance! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
painOne
isobot painOne! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
painTwo
isobot painTwo! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
party
isobot party! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 4/6/2011 16:01'!
portName
	^ portName! !

!ISobotMorph methodsFor: 'accessing' stamp: 'Richo 4/6/2011 15:58'!
portName: aSymbol 
	self isConnected
		ifTrue: [^ self].
	portName := aSymbol = #'other...'
				ifTrue: [(FillInTheBlank request: 'Port name:' translated) asSymbol]
				ifFalse: [aSymbol].
	self class lastPortName: portName! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
poseOne
isobot poseOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
poseThree
isobot poseThree! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
poseTwo
isobot poseTwo! !

!ISobotMorph methodsFor: 'fileOut' stamp: 'Richo 2/16/2010 11:37'!
prepareToBeSaved
	super prepareToBeSaved.
	self disconnect! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:25'!
programmode
isobot programmode! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
regretOne
isobot regretOne! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
regretThree
isobot regretThree! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
regretTwo
isobot regretTwo! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
relax
isobot relax! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:25'!
remotecontrolmode
isobot remotecontrolmode! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
respect
isobot respect! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
rightBackKick
isobot rightBackKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
rightBackhand
isobot rightBackhand! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
rightChop
isobot rightChop! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
rightForwardKick
isobot rightForwardKick! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
rightGuard
isobot rightGuard! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
rightHighKick
isobot rightHighKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
rightOneTwoPunch
isobot rightOneTwoPunch! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
rightPunch
isobot rightPunch! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
rightRoundhouseKick
isobot rightRoundhouseKick! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
rightSideChop
isobot rightSideChop! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
rightSideKick
isobot rightSideKick! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
robotCat
isobot robotCat! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
robotDog
isobot robotDog! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
robotEagle
isobot robotEagle! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
robotGorilla
isobot robotGorilla! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
robotRooster
isobot robotRooster! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
rotateBackwardClockwise
isobot rotateBackwardClockwise! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
rotateBackwardCounterClockwise
isobot rotateBackwardCounterClockwise! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
rotateForwardClockwise
isobot rotateForwardClockwise! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
rotateForwardCounterClockwise
isobot rotateForwardCounterClockwise! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
showOffFour
isobot showOffFour! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
showOffOne
isobot showOffOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
showOffThree
isobot showOffThree! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
showOffTwo
isobot showOffTwo! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
sidestepLeft
isobot sidestepLeft! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
sidestepRight
isobot sidestepRight! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
slapping
isobot slapping! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
soccerOne
isobot soccerOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
soccerThree
isobot soccerThree! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
soccerTwo
isobot soccerTwo! !

!ISobotMorph methodsFor: 'commands-misc' stamp: 'Richo 10/14/2010 17:25'!
soundsOff
isobot soundsOff! !

!ISobotMorph methodsFor: 'commands-misc' stamp: 'Richo 10/14/2010 17:25'!
soundsOn
isobot soundsOn! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:25'!
specialactionmode
isobot specialactionmode! !

!ISobotMorph methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:25'!
splitsNumberOne
isobot splitsNumberOne! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
splitsTwo
isobot splitsTwo! !

!ISobotMorph methodsFor: 'commands-standUp' stamp: 'Richo 10/14/2010 17:25'!
standUpFaceDown
isobot standUpFaceDown! !

!ISobotMorph methodsFor: 'commands-standUp' stamp: 'Richo 10/14/2010 17:25'!
standUpFaceUp
isobot standUpFaceUp! !

!ISobotMorph methodsFor: 'commands-misc' stamp: 'Richo 10/14/2010 17:25'!
stop
isobot stop! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
swayBack
isobot swayBack! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
taiChi
isobot taiChi! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
thanksOne
isobot thanksOne! !

!ISobotMorph methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:25'!
thanksTwo
isobot thanksTwo! !

!ISobotMorph methodsFor: 'commands-programming' stamp: 'Richo 10/14/2010 17:25'!
threeSecondPause
isobot threeSecondPause! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
tickleMeiSOBOT
isobot tickleMeiSOBOT! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
tipsy
isobot tipsy! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
tiredFeet
isobot tiredFeet! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
tooSexy
isobot tooSexy! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
tropicalDance
isobot tropicalDance! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
turnHeadLeft
isobot turnHeadLeft! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
turnHeadRight
isobot turnHeadRight! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
twoHandGuardOne
isobot twoHandGuardOne! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
twoHandGuardTwo
isobot twoHandGuardTwo! !

!ISobotMorph methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:25'!
upSweepBlock
isobot upSweepBlock! !

!ISobotMorph methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:25'!
upperChop
isobot upperChop! !

!ISobotMorph methodsFor: 'viewer category filter' stamp: 'Richo 12/23/2009 17:03'!
validCategories
^self class allAdditionsToViewerCategories keys! !

!ISobotMorph methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:25'!
voicecontrolmode
isobot voicecontrolmode! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
walkBackward
isobot walkBackward! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
walkBackwardCurveLeft
isobot walkBackwardCurveLeft! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
walkBackwardCurveRight
isobot walkBackwardCurveRight! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
walkForward
isobot walkForward! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
walkForwardCurveLeft
isobot walkForwardCurveLeft! !

!ISobotMorph methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:25'!
walkForwardCurveRight
isobot walkForwardCurveRight! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
waveOne
isobot waveOne! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
waveTwo
isobot waveTwo! !

!ISobotMorph methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:25'!
westernMovieScene
isobot westernMovieScene! !

!ISobotMorph methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:25'!
worry
isobot worry! !

!ISobotMorph methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:25'!
youLike
isobot youLike! !

!ISobotMorph methodsFor: 'commands-utility' stamp: 'Richo 10/14/2010 17:25'!
zeroPosition
isobot zeroPosition! !

Object subclass: #ISobot
	instanceVariableNames: 'channel port'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Core'!

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
affirm
self send: #(63 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
airDrum
self send: #(141 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
airGuitar
self send: #(142 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
amazed
self send: #(115 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
applause
self send: #(118 0)! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:01'!
armsMode
self send: #(132 128)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
articulation
self send: #(132 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
banzai
self send: #(143 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
begOne
self send: #(96 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
begTwo
self send: #(110 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
byeFive
self send: #(70 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
byeFour
self send: #(77 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
byeOne
self send: #(74 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
byeThree
self send: #(76 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
byeTwo
self send: #(75 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
catch
self send: #(90 0)! !

!ISobot methodsFor: 'accessing' stamp: 'Richo 2/9/2009 15:07'!
channel
^channel! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
clink
self send: #(126 0)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
comboGuard
self send: #(60 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
comboKick
self send: #(46 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
comboPunch
self send: #(29 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
comingThrough
self send: #(137 0)! !

!ISobot methodsFor: 'connection' stamp: 'Richo 4/6/2011 11:12'!
connectOnPort: aString
self disconnect.
port := SerialPort new baudRate: 115200.
port := port
				openPort: (('COM*' match: aString)
						ifTrue: [aString asInteger]
						ifFalse: [aString]).
self isConnected ifFalse: [^self error: 'Port not connected' translated]! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
countOnMe
self send: #(131 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
disagree
self send: #(66 0)! !

!ISobot methodsFor: 'connection' stamp: 'Richo 10/14/2010 16:59'!
disconnect
self isConnected ifFalse: [^self].
port close.
port := nil! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
dodgeLeft
self send: #(54 0)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
dodgeRight
self send: #(55 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
doubleBackhand
self send: #(33 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
doubleChop
self send: #(27 0)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
duck
self send: #(56 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
excitedFour
self send: #(113 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
excitedOne
self send: #(87 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
excitedThree
self send: #(89 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
excitedTwo
self send: #(88 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
exercises
self send: #(140 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
forwardSomersault
self send: #(138 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
giantRobot
self send: #(152 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
goodMorning
self send: #(68 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
greetFour
self send: #(73 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
greetOne
self send: #(69 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
greetThree
self send: #(72 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
greetTwo
self send: #(71 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
headstandExercises
self send: #(139 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
hideAndSeek
self send: #(92 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
hilarious
self send: #(119 0)! !

!ISobot methodsFor: 'initializing' stamp: 'Richo 10/14/2010 16:59'!
initialize
	self setChannelA.! !

!ISobot methodsFor: 'accessing' stamp: 'Richo 10/14/2010 16:59'!
isConnected
	^port notNil! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
japanCheer
self send: #(144 0)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
leanBackward
self send: #(215 1)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
leanForward
self send: #(215 6)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
leftBackKick
self send: #(40 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
leftBackhand
self send: #(21 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
leftChop
self send: #(25 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
leftForwardKick
self send: #(36 0)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
leftGuard
self send: #(50 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
leftHighKick
self send: #(47 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
leftOneTwoPunch
self send: #(23 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
leftPunch
self send: #(19 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
leftRightForwardKick
self send: #(45 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
leftRightRoundhouseKick
self send: #(44 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
leftRoundhouseKick
self send: #(34 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
leftSideChop
self send: #(30 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
leftSideKick
self send: #(38 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
lift
self send: #(129 0)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
lockArms
self send: #(214 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
loveOne
self send: #(81 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
loveThree
self send: #(83 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
loveTwo
self send: #(82 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
martialArts
self send: #(154 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
merry
self send: #(112 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
mysteryFive
self send: #(108 0)! !

!ISobot methodsFor: 'commands-mistery' stamp: 'Richo 10/14/2010 17:01'!
mysteryFour
self send: #(98 0)! !

!ISobot methodsFor: 'commands-mistery' stamp: 'Richo 10/14/2010 17:01'!
mysteryOne
self send: #(114 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
mysterySix
self send: #(111 0)! !

!ISobot methodsFor: 'commands-mistery' stamp: 'Richo 10/14/2010 17:01'!
mysteryThree
self send: #(117 0)! !

!ISobot methodsFor: 'commands-mistery' stamp: 'Richo 10/14/2010 17:01'!
mysteryTwo
self send: #(116 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
needABreak
self send: #(122 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
painOne
self send: #(97 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
painTwo
self send: #(99 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
party
self send: #(86 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
poseOne
self send: #(199 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
poseThree
self send: #(201 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
poseTwo
self send: #(200 0)! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:01'!
programMode
self send: #(8 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
regretOne
self send: #(91 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
regretThree
self send: #(95 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
regretTwo
self send: #(94 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
relax
self send: #(128 0)! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:01'!
remotecontrolmode
self send: #(7 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
respect
self send: #(67 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
rightBackKick
self send: #(41 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
rightBackhand
self send: #(22 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
rightChop
self send: #(26 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
rightForwardKick
self send: #(37 0)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
rightGuard
self send: #(51 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
rightHighKick
self send: #(48 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
rightOneTwoPunch
self send: #(24 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
rightPunch
self send: #(20 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
rightRoundhouseKick
self send: #(35 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
rightSideChop
self send: #(31 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
rightSideKick
self send: #(39 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
robotCat
self send: #(147 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
robotDog
self send: #(146 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
robotEagle
self send: #(148 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
robotGorilla
self send: #(150 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
robotRooster
self send: #(149 0)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
rotateBackwardClockwise
self send: #(193 3)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
rotateBackwardCounterClockwise
self send: #(194 3)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
rotateForwardClockwise
self send: #(191 3)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
rotateForwardCounterClockwise
self send: #(192 3)! !

!ISobot methodsFor: 'sending' stamp: 'Richo 10/14/2010 17:00'!
send: anArray
port nextPutAll: (ISobotEncoder encode: anArray inChannel: channel)! !

!ISobot methodsFor: 'accessing' stamp: 'Richo 10/14/2010 17:00'!
setChannelA
channel := #a! !

!ISobot methodsFor: 'accessing' stamp: 'Richo 10/14/2010 17:00'!
setChannelB
	channel := #b! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
showOffFour
self send: #(136 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
showOffOne
self send: #(133 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
showOffThree
self send: #(135 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
showOffTwo
self send: #(134 0)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
sidestepLeft
self send: #(187 3)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
sidestepRight
self send: #(188 3)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
slapping
self send: #(32 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
soccerOne
self send: #(130 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
soccerThree
self send: #(42 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
soccerTwo
self send: #(43 0)! !

!ISobot methodsFor: 'commands-misc' stamp: 'Richo 10/14/2010 17:01'!
soundsOff
self send: #(211 3)! !

!ISobot methodsFor: 'commands-misc' stamp: 'Richo 10/14/2010 17:01'!
soundsOn
self send: #(211 0)! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:01'!
specialactionmode
self send: #(9 0)! !

!ISobot methodsFor: 'commands-kick' stamp: 'Richo 10/14/2010 17:01'!
splitsNumberOne
self send: #(49 0)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
splitsTwo
self send: #(59 0)! !

!ISobot methodsFor: 'commands-standUp' stamp: 'Richo 10/14/2010 17:01'!
standUpFaceDown
self send: #(61 0)! !

!ISobot methodsFor: 'commands-standUp' stamp: 'Richo 10/14/2010 17:01'!
standUpFaceUp
self send: #(62 0)! !

!ISobot methodsFor: 'commands-misc' stamp: 'Richo 10/14/2010 17:01'!
stop
self send: #(213 0)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
swayBack
self send: #(57 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
taiChi
self send: #(155 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
thanksOne
self send: #(78 0)! !

!ISobot methodsFor: 'commands-phrases' stamp: 'Richo 10/14/2010 17:01'!
thanksTwo
self send: #(79 0)! !

!ISobot methodsFor: 'commands-programming' stamp: 'Richo 10/14/2010 17:01'!
threeSecondPause
self send: #(203 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
tickleMeiSOBOT
self send: #(120 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
tipsy
self send: #(109 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
tiredFeet
self send: #(121 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
tooSexy
self send: #(125 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
tropicalDance
self send: #(151 0)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
turnHeadLeft
self send: #(215 7)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
turnHeadRight
self send: #(215 12)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
twoHandGuardOne
self send: #(52 0)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
twoHandGuardTwo
self send: #(53 0)! !

!ISobot methodsFor: 'commands-guard' stamp: 'Richo 10/14/2010 17:01'!
upSweepBlock
self send: #(58 0)! !

!ISobot methodsFor: 'commands-punch' stamp: 'Richo 10/14/2010 17:01'!
upperChop
self send: #(28 0)! !

!ISobot methodsFor: 'commands-modes' stamp: 'Richo 10/14/2010 17:01'!
voicecontrolmode
self send: #(10 0)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
walkBackward
self send: #(184 3)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
walkBackwardCurveLeft
self send: #(189 3)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
walkBackwardCurveRight
self send: #(190 3)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
walkForward
self send: #(183 3)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
walkForwardCurveLeft
self send: #(185 3)! !

!ISobot methodsFor: 'commands-movement' stamp: 'Richo 10/14/2010 17:01'!
walkForwardCurveRight
self send: #(186 3)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
waveOne
self send: #(123 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
waveTwo
self send: #(124 0)! !

!ISobot methodsFor: 'commands-special' stamp: 'Richo 10/14/2010 17:01'!
westernMovieScene
self send: #(153 0)! !

!ISobot methodsFor: 'commands-emotion' stamp: 'Richo 10/14/2010 17:01'!
worry
self send: #(93 0)! !

!ISobot methodsFor: 'commands-showcase' stamp: 'Richo 10/14/2010 17:01'!
youLike
self send: #(107 0)! !

!ISobot methodsFor: 'commands-utility' stamp: 'Richo 10/14/2010 17:01'!
zeroPosition
self send: #(202 0)! !

Object subclass: #ISobotEncoder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Core'!

!ISobotEncoder class methodsFor: 'as yet unclassified' stamp: 'Richo 10/14/2010 16:18'!
calculateChecksumForHeader: header bytes: bytes
| hdr s |
hdr := Compiler evaluate: ('2r', header, '000') .
s := ({hdr}, bytes) sum.
s := (s bitAnd: 7) + ((s bitShift: -3) bitAnd: 7) + ((s bitShift: -6) bitAnd: 7) + ((s bitShift: -9) bitAnd: 7) + ((s bitShift: -12) bitAnd: 7).
^(s bitAnd: 7) printStringBase: 2 length: 3 padded: true.! !

!ISobotEncoder class methodsFor: 'as yet unclassified' stamp: 'Richo 10/14/2010 15:45'!
createMsgFrom: strCode 
| list numberOfTxBytes |
list := OrderedCollection new.
numberOfTxBytes := 7.
5 * numberOfTxBytes
		timesRepeat: [list add: 0].
strCode
		do: [:bit | 
			bit = $1
				ifTrue: [2 * numberOfTxBytes
						timesRepeat: [list add: 255]]
				ifFalse: [numberOfTxBytes
						timesRepeat: [list add: 255]].
			numberOfTxBytes
				timesRepeat: [list add: 0]].
^list asByteArray! !

!ISobotEncoder class methodsFor: 'as yet unclassified' stamp: 'Richo 10/14/2010 15:44'!
encode: bytes inChannel: channelSymbol
| header |
header := (channelSymbol = #a) ifTrue: ['0'] ifFalse: ['1'].
bytes size > 2 ifTrue: [header := header, '00'] ifFalse: [header := header , '01'].
header := header, (self calculateChecksumForHeader: header bytes: bytes).
^self createMsgFrom: ((bytes collect: [:each | each printStringBase: 2 length: 8 padded: true]) inject: header into: [:subTotal :next | subTotal, next]).
! !

Player subclass: #ISobotPlayer
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ISobot-Etoys'!

!ISobotPlayer class methodsFor: 'as yet unclassified' stamp: 'Richo 2/11/2010 17:53'!
isUniClass
	^ self ~~ self officialClass! !

!ISobotPlayer class methodsFor: 'as yet unclassified' stamp: 'Richo 2/11/2010 17:53'!
officialClass
	^ ISobotPlayer! !

!ISobotPlayer class methodsFor: 'as yet unclassified' stamp: 'Richo 2/11/2010 17:53'!
wantsChangeSetLogging
	"Log changes for Player itself, but not for automatically-created subclasses like Player1, Player2, but *do* log it for uniclasses that have been manually renamed."

	^ (self == self officialClass or:
		[(self name beginsWith: self officialClass asString) not]) or:
			[Preferences universalTiles]! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
affirm
self costume renderedMorph affirm! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
airDrum
self costume renderedMorph airDrum! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
airGuitar
self costume renderedMorph airGuitar! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
amazed
self costume renderedMorph amazed! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
applause
self costume renderedMorph applause! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
armsMode
self costume renderedMorph armsMode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
articulation
self costume renderedMorph articulation! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
banzai
self costume renderedMorph banzai! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
begOne
self costume renderedMorph begOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
begTwo
self costume renderedMorph begTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeFive
self costume renderedMorph byeFive! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeFour
self costume renderedMorph byeFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeOne
self costume renderedMorph byeOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeThree
self costume renderedMorph byeThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
byeTwo
self costume renderedMorph byeTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
catch
self costume renderedMorph catch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
clink
self costume renderedMorph clink! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
comboGuard
self costume renderedMorph comboGuard! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
comboKick
self costume renderedMorph comboKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
comboPunch
self costume renderedMorph comboPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
comingThrough
self costume renderedMorph comingThrough! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 3/3/2009 14:51'!
connect
	self costume renderedMorph connect! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
countOnMe
self costume renderedMorph countOnMe! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
disagree
self costume renderedMorph disagree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
disconnect
self costume renderedMorph disconnect! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
dodgeLeft
self costume renderedMorph dodgeLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
dodgeRight
self costume renderedMorph dodgeRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
doubleBackhand
self costume renderedMorph doubleBackhand! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
doubleChop
self costume renderedMorph doubleChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
duck
self costume renderedMorph duck! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
excitedFour
self costume renderedMorph excitedFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
excitedOne
self costume renderedMorph excitedOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
excitedThree
self costume renderedMorph excitedThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
excitedTwo
self costume renderedMorph excitedTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
exercises
self costume renderedMorph exercises! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
forwardSomersault
self costume renderedMorph forwardSomersault! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 2/9/2009 15:05'!
getChannel
^self costume renderedMorph channel! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 2/13/2009 14:16'!
getIsConnected
^self costume renderedMorph isConnected! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 4/6/2011 16:01'!
getPortName
^self costume renderedMorph portName! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
giantRobot
self costume renderedMorph giantRobot! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
goodMorning
self costume renderedMorph goodMorning! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
greetFour
self costume renderedMorph greetFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
greetOne
self costume renderedMorph greetOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
greetThree
self costume renderedMorph greetThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
greetTwo
self costume renderedMorph greetTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
headstandExercises
self costume renderedMorph headstandExercises! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
hideAndSeek
self costume renderedMorph hideAndSeek! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
hilarious
self costume renderedMorph hilarious! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
japanCheer
self costume renderedMorph japanCheer! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leanBackward
self costume renderedMorph leanBackward! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leanForward
self costume renderedMorph leanForward! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftBackKick
self costume renderedMorph leftBackKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftBackhand
self costume renderedMorph leftBackhand! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftChop
self costume renderedMorph leftChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftForwardKick
self costume renderedMorph leftForwardKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftGuard
self costume renderedMorph leftGuard! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftHighKick
self costume renderedMorph leftHighKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftOneTwoPunch
self costume renderedMorph leftOneTwoPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftPunch
self costume renderedMorph leftPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftRightForwardKick
self costume renderedMorph leftRightForwardKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftRightRoundhouseKick
self costume renderedMorph leftRightRoundhouseKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftRoundhouseKick
self costume renderedMorph leftRoundhouseKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftSideChop
self costume renderedMorph leftSideChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
leftSideKick
self costume renderedMorph leftSideKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
lift
self costume renderedMorph lift! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
lockArms
self costume renderedMorph lockArms! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
loveOne
self costume renderedMorph loveOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
loveThree
self costume renderedMorph loveThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
loveTwo
self costume renderedMorph loveTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
martialArts
self costume renderedMorph martialArts! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
merry
self costume renderedMorph merry! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryFive
self costume renderedMorph mysteryFive! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryFour
self costume renderedMorph mysteryFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryOne
self costume renderedMorph mysteryOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysterySix
self costume renderedMorph mysterySix! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryThree
self costume renderedMorph mysteryThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
mysteryTwo
self costume renderedMorph mysteryTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
needABreak
self costume renderedMorph needABreak! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
painOne
self costume renderedMorph painOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
painTwo
self costume renderedMorph painTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
party
self costume renderedMorph party! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
poseOne
self costume renderedMorph poseOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
poseThree
self costume renderedMorph poseThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
poseTwo
self costume renderedMorph poseTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
programmode
self costume renderedMorph programmode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
regretOne
self costume renderedMorph regretOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
regretThree
self costume renderedMorph regretThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
regretTwo
self costume renderedMorph regretTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
relax
self costume renderedMorph relax! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
remotecontrolmode
self costume renderedMorph remotecontrolmode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
respect
self costume renderedMorph respect! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightBackKick
self costume renderedMorph rightBackKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightBackhand
self costume renderedMorph rightBackhand! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightChop
self costume renderedMorph rightChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightForwardKick
self costume renderedMorph rightForwardKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightGuard
self costume renderedMorph rightGuard! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightHighKick
self costume renderedMorph rightHighKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightOneTwoPunch
self costume renderedMorph rightOneTwoPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightPunch
self costume renderedMorph rightPunch! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightRoundhouseKick
self costume renderedMorph rightRoundhouseKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightSideChop
self costume renderedMorph rightSideChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rightSideKick
self costume renderedMorph rightSideKick! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotCat
self costume renderedMorph robotCat! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotDog
self costume renderedMorph robotDog! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotEagle
self costume renderedMorph robotEagle! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotGorilla
self costume renderedMorph robotGorilla! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
robotRooster
self costume renderedMorph robotRooster! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rotateBackwardClockwise
self costume renderedMorph rotateBackwardClockwise! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rotateBackwardCounterClockwise
self costume renderedMorph rotateBackwardCounterClockwise! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rotateForwardClockwise
self costume renderedMorph rotateForwardClockwise! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
rotateForwardCounterClockwise
self costume renderedMorph rotateForwardCounterClockwise! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 2/9/2009 15:05'!
setChannel: anObject
^self costume renderedMorph channel: anObject! !

!ISobotPlayer methodsFor: 'slots' stamp: 'Richo 4/6/2011 15:58'!
setPortName: aString
	self setCostumeSlot: #portName: toValue: aString! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
showOffFour
self costume renderedMorph showOffFour! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
showOffOne
self costume renderedMorph showOffOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
showOffThree
self costume renderedMorph showOffThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
showOffTwo
self costume renderedMorph showOffTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
sidestepLeft
self costume renderedMorph sidestepLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
sidestepRight
self costume renderedMorph sidestepRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
slapping
self costume renderedMorph slapping! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soccerOne
self costume renderedMorph soccerOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soccerThree
self costume renderedMorph soccerThree! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soccerTwo
self costume renderedMorph soccerTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soundsOff
self costume renderedMorph soundsOff! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
soundsOn
self costume renderedMorph soundsOn! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
specialactionmode
self costume renderedMorph specialactionmode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
splitsNumberOne
self costume renderedMorph splitsNumberOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
splitsTwo
self costume renderedMorph splitsTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
standUpFaceDown
self costume renderedMorph standUpFaceDown! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
standUpFaceUp
self costume renderedMorph standUpFaceUp! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
stop
self costume renderedMorph stop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
swayBack
self costume renderedMorph swayBack! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
taiChi
self costume renderedMorph taiChi! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
thanksOne
self costume renderedMorph thanksOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
thanksTwo
self costume renderedMorph thanksTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
threeSecondPause
self costume renderedMorph threeSecondPause! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tickleMeiSOBOT
self costume renderedMorph tickleMeiSOBOT! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tipsy
self costume renderedMorph tipsy! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tiredFeet
self costume renderedMorph tiredFeet! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tooSexy
self costume renderedMorph tooSexy! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
tropicalDance
self costume renderedMorph tropicalDance! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
turnHeadLeft
self costume renderedMorph turnHeadLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
turnHeadRight
self costume renderedMorph turnHeadRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
twoHandGuardOne
self costume renderedMorph twoHandGuardOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
twoHandGuardTwo
self costume renderedMorph twoHandGuardTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
upSweepBlock
self costume renderedMorph upSweepBlock! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
upperChop
self costume renderedMorph upperChop! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
voicecontrolmode
self costume renderedMorph voicecontrolmode! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkBackward
self costume renderedMorph walkBackward! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkBackwardCurveLeft
self costume renderedMorph walkBackwardCurveLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkBackwardCurveRight
self costume renderedMorph walkBackwardCurveRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkForward
self costume renderedMorph walkForward! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkForwardCurveLeft
self costume renderedMorph walkForwardCurveLeft! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
walkForwardCurveRight
self costume renderedMorph walkForwardCurveRight! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
waveOne
self costume renderedMorph waveOne! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
waveTwo
self costume renderedMorph waveTwo! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
westernMovieScene
self costume renderedMorph westernMovieScene! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
worry
self costume renderedMorph worry! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
youLike
self costume renderedMorph youLike! !

!ISobotPlayer methodsFor: 'commands' stamp: 'Richo 2/9/2009 15:03'!
zeroPosition
self costume renderedMorph zeroPosition! !
ISobotMorph initialize!
